:root {
    --loading-bg-color: #000;
    --loading-text-color: #e9e9e9;
    --koch-curve-color: white;
}

/* ローディング画面 */
.loading {
    width: 100vw;
    height: 100vh;
    position: fixed;
    background-color: var(--loading-bg-color);
    z-index: 999;
    display: flex;
    justify-content: center;
    align-items: center;
}

.loading-content {
    text-align: center;
    position: relative;
}

.loading-text {
    font-size: 0.7rem;
    line-height: 1;
    color: var(--loading-text-color);
    margin: 0.5rem 0;
}

#counter {
    font-size: 0.7rem;
    color: var(--loading-text-color);
}

/* Kochアニメーションのキャンバス */
#kochCanvas {
    width: 100%;
    height: auto;
    max-width: 800px;
    max-height: 400px;
    display: block;
    margin: 0 auto;
}